#### D.2.4.14 stdlocus

Procedure from library `grobcov.lib` (see grobcov_lib).

Usage:
  stdlocus(ideal F)
  The input ideal must be the set equations defining the locus. Calling sequence: locus(F);
  The input ring must be a parametrical ideal in Q[x][u], (x=tracer variables, u=remaining variables).
  (Inverts the concept of parameters and variables of the ring). Special routine for determining the locus of points of a geometrical construction. Given a parametric ideal F representing the system determining the locus of points (x) which verify certain properties, the call to stdlocus(F) determines the different irreducible components of the locus. This is a simple routine, using only standard Groebner basis computation, elimination and prime decomposition instead of using grobcov. It does not determine the taxonomy, nor the holes of the components

Return:
  The output is a list of the tops of the components [C_1, .. , C_n] of the locus. Each component is given its top ideal p_i.

Note:
  The input must be the locus system.

Example:

    LIB "grobcov.lib";
    if(defined(R)){kill R;}
    ring R=(0,x,y),(x1,y1),dp;
    short=0;
    // Concoid
    ideal S96=x1 ^2+y1 ^2-4,(x-2)*x1 -x*y1 +2*x,(x-x1 )^2+(y-y1 )^2-1;
    stdlocus(S96);
    ==> [1]:
    ==>    _[1]=(x^4+2*x^3+x^2*y^2-3*x^2-2*x*y^2-8*x*y-6*x+2*y^2+8*y+6)
    ==> [2]:
    ==>    _[1]=(x^2+y^2-4*y+3)

User manual for Singular version 4.4.1, 2025, generated by texi2html.